Opacity level not retained in new windows or tabs

Bug #969294 reported by Andrew Starr-Bochicchio
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Sakura
Undecided
David Gómez
Arch Linux
New
Undecided
David Gómez
sakura (Ubuntu)
Low
Andrew Starr-Bochicchio

Bug Description

I've set the opacity level to 75%. If I open a new tab the opacity level is not retained. If I start a new sakura instance, the opacity level is not retained. Opening the "Set opacity level" dialog shows that it remembers that the value is 75%, but for some reason this is not respected until clicking "Apply."

Sakura 3.0.3 on Ubuntu 12.04 Beta 2

Related branches

Revision history for this message
David Gómez (dabisu) wrote :

How do you set the opacity level to reproduce this bug? Are you modifying directly the config file?

Revision history for this message
Andrew Starr-Bochicchio (andrewsomething) wrote : Re: [Bug 969294] Re: Opacity level not retained in new windows or tabs

On Fri, Mar 30, 2012 at 1:28 PM, David Gómez <email address hidden> wrote:
> How do you set the opacity level to reproduce this bug? Are you
> modifying directly the config file?

No, set with the widget.

Revision history for this message
Mara (maracuja21) wrote :

Same problem here on Arch Linux (64bit) with Sakura 3.0.3
Till Version 3.0.0 it always worked.

It does not matter where I set the opacity level.
Both (editing configfile directly and setting it in Sakura GUI) does not work.

Windowmanager ist Compiz Standalone.

Revision history for this message
David Gómez (dabisu) wrote :

I'll check it with compiz standalone and try to reproduce it.

Andrew: what window manager are you using?

Changed in sakura:
assignee: nobody → David Gómez (dabisu)
Changed in archlinux:
assignee: nobody → David Gómez (dabisu)
Revision history for this message
Andrew Starr-Bochicchio (andrewsomething) wrote :

On Tue, Apr 3, 2012 at 5:10 AM, David Gómez <email address hidden> wrote:
> Andrew: what window manager are you using?

Compiz (Unity)

Revision history for this message
siriusb (siriusb-a) wrote :

Arch Linux x64
Openbox
xcompmgr 1.1.6-1
sakura 3.0.3-1

In sakura.cfg opacity is set to 85% but it isn't applied when launching an instance. In the context menu Set opacity option shows the mentioned value and without any change just clicking on Apply button opacity works.

Revision history for this message
Tenzing (mat-5) wrote :

This small patch fixes the opacity bug (opacity not set on tab creation).
Tested on Debian testing i386 with this patch applied to today's bzr version of sakura.

Revision history for this message
David Gómez (dabisu) wrote :

Great! Thanks Tenzing, i'll merge this patch right now.

David Gómez (dabisu)
Changed in sakura:
status: New → Fix Committed
Changed in sakura (Ubuntu):
status: New → In Progress
importance: Undecided → Low
assignee: nobody → Andrew Starr-Bochicchio (andrewsomething)
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sakura - 3.0.3-2

---------------
sakura (3.0.3-2) unstable; urgency=low

  * close-right-page-on-child-exit.patch: When a child process
    exits, sakura closes the current notebook page, which can
    be different from the page in which the child process was
    actually running. Thanks to Thibaut Girka! (Closes: #668988)
  * retain-opacity-level.patch: Backport fix for opacity setting
    not being retained on tab creation. (LP: #969294)

 -- Andrew Starr-Bochicchio <email address hidden> Tue, 17 Apr 2012 21:26:43 -0400

Changed in sakura (Ubuntu):
status: In Progress → Fix Released
David Gómez (dabisu)
Changed in sakura:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers